Bug 187564 - Incorrect grub.conf after kickstart installation
Incorrect grub.conf after kickstart installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-03-31 18:05 EST by Charles Curley
Modified: 2008-05-06 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2006-03-31 18:05:17 EST
Description of problem:

When performing an FC5 kickstart installation on a system with an ~ 30 MB
Freedos partition on it, Anaconda incorrectly sets up grub.conf. There are two
errors.

* The FAT partition is not set up for booting.

* Two stanzas refer to the new FC installation.

Version-Release number of selected component (if applicable):

Whatever is on the FC5 DVD.

How reproducible:

Consistently

Steps to Reproduce:

1. Start with a fresh hard drive.

2. Install Freedos to a 30 MB partition, and make sure it is bootable and the
active partition.

3. Install FC5 manually to generate an anaconda.cfg file. Be sure to add the
FreeDOS partition to the list of bootable partitions. N.B: Anaconda does not
find it and present it as a possibility (which may be a separate bug).

4. Re-install FC5 using the anaconda.cfg file as the basis for a kickstart file,
in particular using the HD setup lines.
  
Actual results:

As noted above.

--------------------------------------------------
title Fedora Core (2.6.15-1.2054_FC5)
        root (hd0,1)
        kernel /vmlinuz-2.6.15-1.2054_FC5 ro root=/dev/VolGroup00/LogVol00 rhgb
quiet
        initrd /initrd-2.6.15-1.2054_FC5.img
title Fedora Core-up (2.6.15-1.2054_FC5)
        root (hd0,1)
        kernel /vmlinuz-2.6.15-1.2054_FC5 ro root=/dev/VolGroup00/LogVol00 rhgb
quiet
        initrd /initrd-2.6.15-1.2054_FC5.img
--------------------------------------------------

Expected results:

Two stanzas in grub.conf, one for the Freedos partition, the other for FC5.

--------------------------------------------------
title Fedora Core (2.6.15-1.2054_FC5)
        root (hd0,1)
        kernel /vmlinuz-2.6.15-1.2054_FC5 ro root=/dev/VolGroup00/LogVol00 rhgb
quiet
        initrd /initrd-2.6.15-1.2054_FC5.img
title FreeDOS
        rootnoverify (hd0,0)
        chainloader +1
--------------------------------------------------

Additional info:

Relevant portions of the kickstart file. (I removed the --append="rhgb quiet"
from the bootloader line and added the "part /mnt/dosc" line.):

--------------------------------------------------
authconfig --enableshadow --enablemd5
timezone America/Denver
bootloader --location=mbr --driveorder=hda
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work

clearpart --linux --drives=hda
part /boot --fstype ext3 --size=100 --ondisk=hda
part pv.6 --size=0 --grow --ondisk=hda
volgroup VolGroup00 --pesize=32768 pv.6
logvol swap --fstype swap --name=LogVol01 --vgname=VolGroup00 --size=256 --grow
--maxsize=512
logvol /home --fstype ext3 --name=LogVol02 --vgname=VolGroup00 --size=256
logvol / --fstype ext3 --name=LogVol00 --vgname=VolGroup00 --size=1280

# leave the DOS partition intact.
part /mnt/dosc --onpart hda1 --fstype vfat --noformat

%packages
--------------------------------------------------
Comment 1 Jeremy Katz 2006-04-10 12:40:56 EDT
What does parted think the filesystem type for your freedos partition is?
Comment 2 Charles Curley 2006-04-10 14:02:13 EDT
Fdisk reports:

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1           8       32224+   4  FAT16 <32M

sfdisk also reports 4.

Parted reports:

Using /dev/hda
(parted) check hda1
Error: Expecting a partition number.
(parted) check 1
Warning: File system doesn't have expected sizes for Windows to like it.
Cluster size is 2k (0k expected); number of clusters is 16072 (63916 expected);
size of FATs is 63 sectors (250 expected).
Ignore/Cancel? c
(parted)

How do I get parted to return a partition type? (This box does not have gparted
on it.)
Comment 3 Jeremy Katz 2006-04-10 14:08:30 EDT
Type 'print' at the parted prompt
Comment 4 Charles Curley 2006-04-10 14:27:16 EDT
Thank you.

Using /dev/hda
(parted) print
Disk geometry for /dev/hda: 0kB - 2160MB
Disk label type: msdos
Number  Start   End     Size    Type      File system  Flags
1       32kB    33MB    33MB    primary   fat16        boot
Comment 5 Jeremy Katz 2006-04-10 14:59:22 EDT
Hmm, that should be getting picked up as "Other"
Comment 6 Bug Zapper 2008-04-03 22:29:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:43:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.